import type {Route} from "../../../.react-router/types/app/pages/dashboard/+types/PerformanceTestGetList";
import React from "react";
import type {PerformanceGetListData} from "~/utils/models.ts";
import { proxy } from 'valtio';
import PerformanceTest from "~/components/PerformanceTest";

export function meta({}: Route.MetaArgs) {
    return [
        { title: "Performance Test GetList" },
        { name: "description", content: "Performance Test GetList" },
    ];
}

const performanceDataState = proxy<PerformanceGetListData[]>([]);

export default function Component() {
    return (
        <PerformanceTest isPushTest={false} performanceDataState={performanceDataState} />
    )
}
